<bugID>1306339<Summary>[meta] Remove the handler choice dialog for files that cannot be displayed internally</Summary><Description>When a page is loaded and the browser does not know how to handle its content type internally, we currently display a handler choice dialog, where the user has to make an explicit choice on whether to view the file immediately or store it on disk to be opened or interacted with later.

This meta-bug is about removing this dialog and using other means of completing the task of viewing the contents of the file or storing it on disk for later.

At the present time, there are prerequisites that need to be completed before this can happen. Known dependencies are removing the ability to choose a handler application that is not the system default, and protection from sites that try to download multiple files automatically.</Description></bugID>